﻿package
{
	import flash.display.Sprite;
	import flash.display.LineScaleMode;
    import flash.display.CapsStyle;
    import flash.display.JointStyle;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	import flash.display.GradientType;  
    import flash.geom.Matrix;  
	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var points:Array = new Array();
 
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
				
			var gType:String = GradientType.RADIAL;  
            var matrix:Matrix = new Matrix();  
            matrix.createGradientBox(stage.stageWidth,stage.stageHeight,0,0,0);  
            var gColors:Array = [0x990000,0xFFFFCC];  
            var gAlphas:Array = [.1,.7];  
            var gRatio:Array = [0,255];  
            var bound:Sprite = new Sprite();
			
			bound.graphics.beginGradientFill(gType,gColors,gAlphas,gRatio,matrix);  
            bound.graphics.drawRect(0,0,stage.stageWidth,stage.stageHeight);  
            bound.x = bound.y = 0;
			bound.graphics.endFill();
            addChild(bound);
				
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			if(timer){
			timer.stop();
			}
			this.graphics.clear();
			this.graphics.lineStyle(1,0xffffff,1);
			points = new Array();
			timer = new Timer(150,150);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var dx:Number;
			var dy:Number;
			var size:Number;
			var dist:Number;
			var p0:Object = {"x":Math.sin(mouseX)+mouseX, "y":Math.sin(mouseY)+mouseY};
			var p2:Object = {"x":Math.cos(mouseX)+mouseX, "y":Math.cos(mouseY)+mouseY};
			var max:Number = 100;
		
			for(var i:uint;i<points.length;i++){
				p1 = points[i];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				size = Math.sin(p0.x/p0.y)*10;
				dist = Math.sqrt(dx * dx + dy*dy);
				
				if(dist < max){
					this.graphics.moveTo(p0.x,p0.y);
					this.graphics.lineStyle(size,0xffffff,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-2,0x000000,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-4,0xffffff,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-6,0x000000,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-8,0xffffff,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-10,0x000000,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-12,0xffffff,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					this.graphics.lineStyle(size-14,0x000000,1,false,LineScaleMode.NORMAL,CapsStyle.NONE,JointStyle.BEVEL);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(p2.x,p2.y);
					}
			}
			points.push(p0);
		}
	}
}